Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

# Class ReferredDocumentInformation1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_01.ReferredDocumentInformation1

public class ReferredDocumentInformation1 extends Object

Java class for ReferredDocumentInformation1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReferredDocumentInformation1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RfrdDocTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ReferredDocumentType1" minOccurs="0"/>
             <element name="RfrdDocNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`rfrdDocNb`
`protected ReferredDocumentType1`
`rfrdDocTp`

## Constructor Summary

Constructors
Constructor
Description
`ReferredDocumentInformation1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRfrdDocNb()`
Gets the value of the rfrdDocNb property.
`ReferredDocumentType1`
`getRfrdDocTp()`
Gets the value of the rfrdDocTp property.
`void`
`setRfrdDocNb(String value)`
Sets the value of the rfrdDocNb property.
`void`
`setRfrdDocTp(ReferredDocumentType1 value)`
Sets the value of the rfrdDocTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### rfrdDocTp

protected ReferredDocumentType1 rfrdDocTp

### rfrdDocNb

protected String rfrdDocNb

## Constructor Details

### ReferredDocumentInformation1

public ReferredDocumentInformation1()

## Method Details

### getRfrdDocTp

public ReferredDocumentType1 getRfrdDocTp()
Gets the value of the rfrdDocTp property.

Returns:
  possible object is `ReferredDocumentType1`

### setRfrdDocTp

public void setRfrdDocTp(ReferredDocumentType1 value)
Sets the value of the rfrdDocTp property.

Parameters:
  `value` - allowed object is `ReferredDocumentType1`

### getRfrdDocNb

public String getRfrdDocNb()
Gets the value of the rfrdDocNb property.

Returns:
  possible object is `String`

### setRfrdDocNb

public void setRfrdDocNb(String value)
Sets the value of the rfrdDocNb property.

Parameters:
  `value` - allowed object is `String`